Subject: Re: [RFC 3/3] zImage: Exception vector support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 20 Feb 2007 07:51:33 +1100

> It won't do any good, or it won't work?  I figured it would just branch to
> _zimage_start on non-SMP systems.

Well, the SPRN_CTRLF register only exist on some processors. Also,
non-IBM processors are likely to do things differently. In fact, I'm not
even sure that all POWERx processor use the bits in there the same way.

Ben.